Skip to main content

Clean Room Asset

View as Markdown

CleanRoomAsset object

Metadata of the clean room asset

clean_room_namestring

The name of the clean room this asset belongs to. This field is required for create operations and populated by the server for responses.

Example: test-clean-room1

namestring

A fully qualified name that uniquely identifies the asset within the clean room. This is also the name displayed in the clean room UI.

For UC securable assets (tables, volumes, etc.), the format is shared_catalog.shared_schema.asset_name

For notebooks, the name is the notebook file name. For jar analyses, the name is the jar analysis name.

Example: creator.sales.products

asset_typestring

The type of the asset.

Values: ASSET_TYPE_UNSPECIFIED, TABLE, NOTEBOOK_FILE, VOLUME, VIEW, FOREIGN_TABLE, JAR_ANALYSIS

added_atint64

When the asset is added to the clean room, in epoch milliseconds.

Example: 1716424663321

statusstring

Status of the asset

Values: ENUM_UNSPECIFIED, ACTIVE, PERMISSION_DENIED, PENDING

owner_collaborator_aliasstring

The alias of the collaborator who owns this asset

Example: creator

table_local_detailsobject

Local details for a table that are only available to its owner. Present if and only if asset_type is TABLE

Show child attributesHide child attributes
local_namestring

The fully qualified name of the table in its owner's local metastore, in the format of catalog.schema.table_name

Example: demo.sales.products

partitionsarray of object

Partition filtering specification for a shared table.

Show child attributesHide child attributes
valuesarray of object

An array of partition values.

Show child attributesHide child attributes
namestring

The name of the partition column.

valuestring

The value of the partition column. When this value is not set, it means null value. When this field is set, field recipient_property_key can not be set.

recipient_property_keystring

The key of a Delta Sharing recipient's property. For example "databricks-account-id". When this field is set, field value can not be set.

opstring

The operator to apply for the value.

Values: EQUAL, LIKE

volume_local_detailsobject

Local details for a volume that are only available to its owner. Present if and only if asset_type is VOLUME

Show child attributesHide child attributes
local_namestring

The fully qualified name of the volume in its owner's local metastore, in the format of catalog.schema.volume_name

Example: demo.sales.products

view_local_detailsobject

Local details for a view that are only available to its owner. Present if and only if asset_type is VIEW

Show child attributesHide child attributes
local_namestring

The fully qualified name of the view in its owner's local metastore, in the format of catalog.schema.view_name

Example: demo.sales.products

foreign_table_local_detailsobject

Local details for a foreign that are only available to its owner. Present if and only if asset_type is FOREIGN_TABLE

Show child attributesHide child attributes
local_namestring

The fully qualified name of the foreign table in its owner's local metastore, in the format of catalog.schema.foreign_table_name

Example: demo.sales.products

tableobject

Table details available to all collaborators of the clean room. Present if and only if asset_type is TABLE

Show child attributesHide child attributes
columnsarray of object

The metadata information of the columns in the table

Show child attributesHide child attributes
namestring

Name of Column.

type_textstring

Full data type specification as SQL/catalogString text.

type_namestring

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

positionint32

Ordinal position of column (starting at position 0).

type_precisionint32

Digits of precision; required for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required for DecimalTypes.

type_interval_typestring

Format of IntervalType.

type_jsonstring

Full data type specification, JSON-serialized.

commentstring

User-provided free-form text description.

nullableboolean

Whether field may be Null (default: true).

Default: true

partition_indexint32

Partition index for column.

maskobject
Show child attributesHide child attributes
function_namestring

The full name of the column mask SQL UDF.

using_column_namesarray of string

The list of additional table columns to be passed as input to the column mask function. The first arg of the mask function should be of the type of the column being masked and the types of the rest of the args should match the types of columns in 'using_column_names'.

using_argumentsarray of object

The list of additional table columns or literals to be passed as additional arguments to a column mask function. This is the replacement of the deprecated using_column_names field and carries information about the types (alias or constant) of the arguments to the mask function.

notebookobject

Notebook details available to all collaborators of the clean room. Present if and only if asset_type is NOTEBOOK_FILE

Show child attributesHide child attributes
notebook_contentstring

Base 64 representation of the notebook contents. This is the same format as returned by workspace/export with the format of HTML.

etagstring

Server generated etag that represents the notebook version.

runner_collaborator_aliasesarray of string

Aliases of collaborators that can run the notebook.

reviewsarray of object

All existing approvals or rejections

Show child attributesHide child attributes
reviewer_collaborator_aliasstring

Collaborator alias of the reviewer

created_at_millisint64

When the review was submitted, in epoch milliseconds

review_statestring

Review outcome

Values: NOTEBOOK_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

commentstring

Review comment

Example: Code looks wrong

Constraints: <= 500 characters

review_sub_reasonstring

Specified when the review was not explicitly made by a user

Values: NOTEBOOK_REVIEW_SUB_REASON_UNSPECIFIED, BACKFILLED, AUTO_APPROVED

review_statestring

Top-level status derived from all reviews

Values: NOTEBOOK_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

descriptionstring

Optional description of the notebook shown to all collaborators.

Example: This is a description of the Clean Room Notebook

Constraints: <= 10000 characters

environment_versionstring

The serverless environment version used to execute the notebook (e.g. "4"). Defaults to "2" if not specified.

viewobject

View details available to all collaborators of the clean room. Present if and only if asset_type is VIEW

Show child attributesHide child attributes
columnsarray of object

The metadata information of the columns in the view

Show child attributesHide child attributes
namestring

Name of Column.

type_textstring

Full data type specification as SQL/catalogString text.

type_namestring

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

positionint32

Ordinal position of column (starting at position 0).

type_precisionint32

Digits of precision; required for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required for DecimalTypes.

type_interval_typestring

Format of IntervalType.

type_jsonstring

Full data type specification, JSON-serialized.

commentstring

User-provided free-form text description.

nullableboolean

Whether field may be Null (default: true).

Default: true

partition_indexint32

Partition index for column.

maskobject
Show child attributesHide child attributes
function_namestring

The full name of the column mask SQL UDF.

using_column_namesarray of string

The list of additional table columns to be passed as input to the column mask function. The first arg of the mask function should be of the type of the column being masked and the types of the rest of the args should match the types of columns in 'using_column_names'.

using_argumentsarray of object

The list of additional table columns or literals to be passed as additional arguments to a column mask function. This is the replacement of the deprecated using_column_names field and carries information about the types (alias or constant) of the arguments to the mask function.

foreign_tableobject

Foreign table details available to all collaborators of the clean room. Present if and only if asset_type is FOREIGN_TABLE

Show child attributesHide child attributes
columnsarray of object

The metadata information of the columns in the foreign table

Show child attributesHide child attributes
namestring

Name of Column.

type_textstring

Full data type specification as SQL/catalogString text.

type_namestring

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

positionint32

Ordinal position of column (starting at position 0).

type_precisionint32

Digits of precision; required for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required for DecimalTypes.

type_interval_typestring

Format of IntervalType.

type_jsonstring

Full data type specification, JSON-serialized.

commentstring

User-provided free-form text description.

nullableboolean

Whether field may be Null (default: true).

Default: true

partition_indexint32

Partition index for column.

maskobject
Show child attributesHide child attributes
function_namestring

The full name of the column mask SQL UDF.

using_column_namesarray of string

The list of additional table columns to be passed as input to the column mask function. The first arg of the mask function should be of the type of the column being masked and the types of the rest of the args should match the types of columns in 'using_column_names'.

using_argumentsarray of object

The list of additional table columns or literals to be passed as additional arguments to a column mask function. This is the replacement of the deprecated using_column_names field and carries information about the types (alias or constant) of the arguments to the mask function.

jar_analysisobjectPublic Preview

Jar analysis details available to all collaborators of the clean room. Present if and only if asset_type is JAR_ANALYSIS

Show child attributesHide child attributes
etagstringPublic Preview

Server generated etag that represents the jar analysis version.

descriptionstringPublic Preview

Optional description of the jar analysis shown to all collaborators.

Example: This is a description of the Clean Room JAR

Constraints: <= 10000 characters

runner_collaborator_aliasesarray of stringPublic Preview

Collaborators that can run the jar.

reviewsarray of objectPublic Preview

All existing approvals or rejections.

Show child attributesHide child attributes
reviewer_collaborator_aliasstringPublic Preview

collaborator alias of the reviewer

created_at_millisint64Public Preview

timestamp of when the review was submitted

review_statestringPublic Preview

review outcome

Values: JAR_ANALYSIS_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

commentstringPublic Preview

review comment

Example: Not ready to run yet

Constraints: <= 500 characters

review_sub_reasonstringPublic Preview

specified when the review was not explicitly made by a user

Values: JAR_ANALYSIS_REVIEW_SUB_REASON_UNSPECIFIED, AUTO_APPROVED

review_statestringPublic Preview

Top-level status derived from all reviews.

Values: JAR_ANALYSIS_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

main_class_namestringPublic Preview

The full name of the class containing the main method to be executed. This class must be contained in a JAR provided as a library The code must use SparkContext.getOrCreate to obtain a Spark context; otherwise, runs of the job fail

Example: com.databricks.ComputeModels

central_jar_file_pathsarray of stringPublic Preview

The full paths in central to the jar files that are added to the library during execution (e.g. /Volumes/creator/schema/volume/folder/my_jar_file.jar) Only returned for the owner collaborator.

environment_versionstringPublic Preview

The serverless environment version used to execute the JAR analysis (e.g. "4"). Defaults to "4-scala-preview" if not specified.

Get GA

GET /api/2.0/clean-rooms/{clean_room_name}/assets/{asset_type}/{name}

Get the details of a clean room asset by its type and full name.

API scopes: cleanrooms

Parameters

clean_room_namestringpath

Name of the clean room.

asset_typestringpath

The type of the asset.

Values: ASSET_TYPE_UNSPECIFIED, TABLE, NOTEBOOK_FILE, VOLUME, VIEW, FOREIGN_TABLE, JAR_ANALYSIS

namestringpath

The fully qualified name of the asset, it is same as the name field in CleanRoomAsset.

Response

Returns the CleanRoomAsset object.

List GA

GET /api/2.0/clean-rooms/{clean_room_name}/assets

List assets.

API scopes: cleanrooms

Parameters

clean_room_namestringpath

Name of the clean room.

page_tokenstringquery

Opaque pagination token to go to next page based on previous query.

Response

Returns a list of CleanRoomAsset objects.

Create GA

POST /api/2.0/clean-rooms/{asset.clean_room_name}/assets

Create a clean room asset —share an asset like a notebook or table into the clean room. For each UC asset that is added through this method, the clean room owner must also have enough privilege on the asset to consume it. The privilege must be maintained indefinitely for the clean room to be able to access the asset. Typically, you should use a group as the clean room owner.

API scopes: cleanrooms

Parameters

assetobjectpath
Show child attributesHide child attributes
clean_room_namestring

The name of the clean room this asset belongs to. This field is required for create operations and populated by the server for responses.

Example: test-clean-room1

namestring

A fully qualified name that uniquely identifies the asset within the clean room. This is also the name displayed in the clean room UI.

For UC securable assets (tables, volumes, etc.), the format is shared_catalog.shared_schema.asset_name

For notebooks, the name is the notebook file name. For jar analyses, the name is the jar analysis name.

Example: creator.sales.products

asset_typestring

The type of the asset.

Values: ASSET_TYPE_UNSPECIFIED, TABLE, NOTEBOOK_FILE, VOLUME, VIEW, FOREIGN_TABLE, JAR_ANALYSIS

added_atint64

When the asset is added to the clean room, in epoch milliseconds.

Example: 1716424663321

statusstring

Status of the asset

Values: ENUM_UNSPECIFIED, ACTIVE, PERMISSION_DENIED, PENDING

owner_collaborator_aliasstring

The alias of the collaborator who owns this asset

Example: creator

table_local_detailsobjectRequired

Local details for a table that are only available to its owner. Present if and only if asset_type is TABLE

Show child attributesHide child attributes
local_namestring

The fully qualified name of the table in its owner's local metastore, in the format of catalog.schema.table_name

Example: demo.sales.products

partitionsarray of object

Partition filtering specification for a shared table.

Show child attributesHide child attributes
valuesarray of object

An array of partition values.

volume_local_detailsobjectRequired

Local details for a volume that are only available to its owner. Present if and only if asset_type is VOLUME

Show child attributesHide child attributes
local_namestring

The fully qualified name of the volume in its owner's local metastore, in the format of catalog.schema.volume_name

Example: demo.sales.products

view_local_detailsobjectRequired

Local details for a view that are only available to its owner. Present if and only if asset_type is VIEW

Show child attributesHide child attributes
local_namestring

The fully qualified name of the view in its owner's local metastore, in the format of catalog.schema.view_name

Example: demo.sales.products

foreign_table_local_detailsobjectRequired

Local details for a foreign that are only available to its owner. Present if and only if asset_type is FOREIGN_TABLE

Show child attributesHide child attributes
local_namestring

The fully qualified name of the foreign table in its owner's local metastore, in the format of catalog.schema.foreign_table_name

Example: demo.sales.products

tableobjectRequired

Table details available to all collaborators of the clean room. Present if and only if asset_type is TABLE

Show child attributesHide child attributes
columnsarray of object

The metadata information of the columns in the table

Show child attributesHide child attributes
namestring

Name of Column.

type_textstring

Full data type specification as SQL/catalogString text.

type_namestring

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

positionint32

Ordinal position of column (starting at position 0).

type_precisionint32

Digits of precision; required for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required for DecimalTypes.

type_interval_typestring

Format of IntervalType.

type_jsonstring

Full data type specification, JSON-serialized.

commentstring

User-provided free-form text description.

nullableboolean

Whether field may be Null (default: true).

Default: true

partition_indexint32

Partition index for column.

maskobject
notebookobjectRequired

Notebook details available to all collaborators of the clean room. Present if and only if asset_type is NOTEBOOK_FILE

Show child attributesHide child attributes
notebook_contentstring

Base 64 representation of the notebook contents. This is the same format as returned by workspace/export with the format of HTML.

etagstring

Server generated etag that represents the notebook version.

runner_collaborator_aliasesarray of string

Aliases of collaborators that can run the notebook.

reviewsarray of object

All existing approvals or rejections

Show child attributesHide child attributes
reviewer_collaborator_aliasstring

Collaborator alias of the reviewer

created_at_millisint64

When the review was submitted, in epoch milliseconds

review_statestring

Review outcome

Values: NOTEBOOK_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

commentstring

Review comment

Example: Code looks wrong

Constraints: <= 500 characters

review_sub_reasonstring

Specified when the review was not explicitly made by a user

Values: NOTEBOOK_REVIEW_SUB_REASON_UNSPECIFIED, BACKFILLED, AUTO_APPROVED

review_statestring

Top-level status derived from all reviews

Values: NOTEBOOK_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

descriptionstring

Optional description of the notebook shown to all collaborators.

Example: This is a description of the Clean Room Notebook

Constraints: <= 10000 characters

environment_versionstring

The serverless environment version used to execute the notebook (e.g. "4"). Defaults to "2" if not specified.

viewobjectRequired

View details available to all collaborators of the clean room. Present if and only if asset_type is VIEW

Show child attributesHide child attributes
columnsarray of object

The metadata information of the columns in the view

Show child attributesHide child attributes
namestring

Name of Column.

type_textstring

Full data type specification as SQL/catalogString text.

type_namestring

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

positionint32

Ordinal position of column (starting at position 0).

type_precisionint32

Digits of precision; required for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required for DecimalTypes.

type_interval_typestring

Format of IntervalType.

type_jsonstring

Full data type specification, JSON-serialized.

commentstring

User-provided free-form text description.

nullableboolean

Whether field may be Null (default: true).

Default: true

partition_indexint32

Partition index for column.

maskobject
foreign_tableobjectRequired

Foreign table details available to all collaborators of the clean room. Present if and only if asset_type is FOREIGN_TABLE

Show child attributesHide child attributes
columnsarray of object

The metadata information of the columns in the foreign table

Show child attributesHide child attributes
namestring

Name of Column.

type_textstring

Full data type specification as SQL/catalogString text.

type_namestring

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

positionint32

Ordinal position of column (starting at position 0).

type_precisionint32

Digits of precision; required for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required for DecimalTypes.

type_interval_typestring

Format of IntervalType.

type_jsonstring

Full data type specification, JSON-serialized.

commentstring

User-provided free-form text description.

nullableboolean

Whether field may be Null (default: true).

Default: true

partition_indexint32

Partition index for column.

maskobject
jar_analysisobjectRequiredPublic Preview

Jar analysis details available to all collaborators of the clean room. Present if and only if asset_type is JAR_ANALYSIS

Show child attributesHide child attributes
etagstringPublic Preview

Server generated etag that represents the jar analysis version.

descriptionstringPublic Preview

Optional description of the jar analysis shown to all collaborators.

Example: This is a description of the Clean Room JAR

Constraints: <= 10000 characters

runner_collaborator_aliasesarray of stringPublic Preview

Collaborators that can run the jar.

reviewsarray of objectPublic Preview

All existing approvals or rejections.

Show child attributesHide child attributes
reviewer_collaborator_aliasstringPublic Preview

collaborator alias of the reviewer

created_at_millisint64Public Preview

timestamp of when the review was submitted

review_statestringPublic Preview

review outcome

Values: JAR_ANALYSIS_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

commentstringPublic Preview

review comment

Example: Not ready to run yet

Constraints: <= 500 characters

review_sub_reasonstringPublic Preview

specified when the review was not explicitly made by a user

Values: JAR_ANALYSIS_REVIEW_SUB_REASON_UNSPECIFIED, AUTO_APPROVED

review_statestringPublic Preview

Top-level status derived from all reviews.

Values: JAR_ANALYSIS_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

main_class_namestringPublic Preview

The full name of the class containing the main method to be executed. This class must be contained in a JAR provided as a library The code must use SparkContext.getOrCreate to obtain a Spark context; otherwise, runs of the job fail

Example: com.databricks.ComputeModels

central_jar_file_pathsarray of stringPublic Preview

The full paths in central to the jar files that are added to the library during execution (e.g. /Volumes/creator/schema/volume/folder/my_jar_file.jar) Only returned for the owner collaborator.

environment_versionstringPublic Preview

The serverless environment version used to execute the JAR analysis (e.g. "4"). Defaults to "4-scala-preview" if not specified.

Response

Returns the CleanRoomAsset object.

Update GA

PATCH /api/2.0/clean-rooms/{clean_room_name}/assets/{asset.asset_type}/{asset.name}

Update a clean room asset. For example, updating the content of a notebook; changing the shared partitions of a table; etc.

API scopes: cleanrooms

Parameters

clean_room_namestringpath

Name of the clean room.

assetobjectpath

The asset to update. The asset's name and asset_type fields are used to identify the asset to update.

Show child attributesHide child attributes
clean_room_namestring

The name of the clean room this asset belongs to. This field is required for create operations and populated by the server for responses.

Example: test-clean-room1

namestring

A fully qualified name that uniquely identifies the asset within the clean room. This is also the name displayed in the clean room UI.

For UC securable assets (tables, volumes, etc.), the format is shared_catalog.shared_schema.asset_name

For notebooks, the name is the notebook file name. For jar analyses, the name is the jar analysis name.

Example: creator.sales.products

asset_typestring

The type of the asset.

Values: ASSET_TYPE_UNSPECIFIED, TABLE, NOTEBOOK_FILE, VOLUME, VIEW, FOREIGN_TABLE, JAR_ANALYSIS

added_atint64

When the asset is added to the clean room, in epoch milliseconds.

Example: 1716424663321

statusstring

Status of the asset

Values: ENUM_UNSPECIFIED, ACTIVE, PERMISSION_DENIED, PENDING

owner_collaborator_aliasstring

The alias of the collaborator who owns this asset

Example: creator

table_local_detailsobjectRequired

Local details for a table that are only available to its owner. Present if and only if asset_type is TABLE

Show child attributesHide child attributes
local_namestring

The fully qualified name of the table in its owner's local metastore, in the format of catalog.schema.table_name

Example: demo.sales.products

partitionsarray of object

Partition filtering specification for a shared table.

Show child attributesHide child attributes
valuesarray of object

An array of partition values.

volume_local_detailsobjectRequired

Local details for a volume that are only available to its owner. Present if and only if asset_type is VOLUME

Show child attributesHide child attributes
local_namestring

The fully qualified name of the volume in its owner's local metastore, in the format of catalog.schema.volume_name

Example: demo.sales.products

view_local_detailsobjectRequired

Local details for a view that are only available to its owner. Present if and only if asset_type is VIEW

Show child attributesHide child attributes
local_namestring

The fully qualified name of the view in its owner's local metastore, in the format of catalog.schema.view_name

Example: demo.sales.products

foreign_table_local_detailsobjectRequired

Local details for a foreign that are only available to its owner. Present if and only if asset_type is FOREIGN_TABLE

Show child attributesHide child attributes
local_namestring

The fully qualified name of the foreign table in its owner's local metastore, in the format of catalog.schema.foreign_table_name

Example: demo.sales.products

tableobjectRequired

Table details available to all collaborators of the clean room. Present if and only if asset_type is TABLE

Show child attributesHide child attributes
columnsarray of object

The metadata information of the columns in the table

Show child attributesHide child attributes
namestring

Name of Column.

type_textstring

Full data type specification as SQL/catalogString text.

type_namestring

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

positionint32

Ordinal position of column (starting at position 0).

type_precisionint32

Digits of precision; required for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required for DecimalTypes.

type_interval_typestring

Format of IntervalType.

type_jsonstring

Full data type specification, JSON-serialized.

commentstring

User-provided free-form text description.

nullableboolean

Whether field may be Null (default: true).

Default: true

partition_indexint32

Partition index for column.

maskobject
notebookobjectRequired

Notebook details available to all collaborators of the clean room. Present if and only if asset_type is NOTEBOOK_FILE

Show child attributesHide child attributes
notebook_contentstring

Base 64 representation of the notebook contents. This is the same format as returned by workspace/export with the format of HTML.

etagstring

Server generated etag that represents the notebook version.

runner_collaborator_aliasesarray of string

Aliases of collaborators that can run the notebook.

reviewsarray of object

All existing approvals or rejections

Show child attributesHide child attributes
reviewer_collaborator_aliasstring

Collaborator alias of the reviewer

created_at_millisint64

When the review was submitted, in epoch milliseconds

review_statestring

Review outcome

Values: NOTEBOOK_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

commentstring

Review comment

Example: Code looks wrong

Constraints: <= 500 characters

review_sub_reasonstring

Specified when the review was not explicitly made by a user

Values: NOTEBOOK_REVIEW_SUB_REASON_UNSPECIFIED, BACKFILLED, AUTO_APPROVED

review_statestring

Top-level status derived from all reviews

Values: NOTEBOOK_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

descriptionstring

Optional description of the notebook shown to all collaborators.

Example: This is a description of the Clean Room Notebook

Constraints: <= 10000 characters

environment_versionstring

The serverless environment version used to execute the notebook (e.g. "4"). Defaults to "2" if not specified.

viewobjectRequired

View details available to all collaborators of the clean room. Present if and only if asset_type is VIEW

Show child attributesHide child attributes
columnsarray of object

The metadata information of the columns in the view

Show child attributesHide child attributes
namestring

Name of Column.

type_textstring

Full data type specification as SQL/catalogString text.

type_namestring

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

positionint32

Ordinal position of column (starting at position 0).

type_precisionint32

Digits of precision; required for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required for DecimalTypes.

type_interval_typestring

Format of IntervalType.

type_jsonstring

Full data type specification, JSON-serialized.

commentstring

User-provided free-form text description.

nullableboolean

Whether field may be Null (default: true).

Default: true

partition_indexint32

Partition index for column.

maskobject
foreign_tableobjectRequired

Foreign table details available to all collaborators of the clean room. Present if and only if asset_type is FOREIGN_TABLE

Show child attributesHide child attributes
columnsarray of object

The metadata information of the columns in the foreign table

Show child attributesHide child attributes
namestring

Name of Column.

type_textstring

Full data type specification as SQL/catalogString text.

type_namestring

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

positionint32

Ordinal position of column (starting at position 0).

type_precisionint32

Digits of precision; required for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required for DecimalTypes.

type_interval_typestring

Format of IntervalType.

type_jsonstring

Full data type specification, JSON-serialized.

commentstring

User-provided free-form text description.

nullableboolean

Whether field may be Null (default: true).

Default: true

partition_indexint32

Partition index for column.

maskobject
jar_analysisobjectRequiredPublic Preview

Jar analysis details available to all collaborators of the clean room. Present if and only if asset_type is JAR_ANALYSIS

Show child attributesHide child attributes
etagstringPublic Preview

Server generated etag that represents the jar analysis version.

descriptionstringPublic Preview

Optional description of the jar analysis shown to all collaborators.

Example: This is a description of the Clean Room JAR

Constraints: <= 10000 characters

runner_collaborator_aliasesarray of stringPublic Preview

Collaborators that can run the jar.

reviewsarray of objectPublic Preview

All existing approvals or rejections.

Show child attributesHide child attributes
reviewer_collaborator_aliasstringPublic Preview

collaborator alias of the reviewer

created_at_millisint64Public Preview

timestamp of when the review was submitted

review_statestringPublic Preview

review outcome

Values: JAR_ANALYSIS_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

commentstringPublic Preview

review comment

Example: Not ready to run yet

Constraints: <= 500 characters

review_sub_reasonstringPublic Preview

specified when the review was not explicitly made by a user

Values: JAR_ANALYSIS_REVIEW_SUB_REASON_UNSPECIFIED, AUTO_APPROVED

review_statestringPublic Preview

Top-level status derived from all reviews.

Values: JAR_ANALYSIS_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

main_class_namestringPublic Preview

The full name of the class containing the main method to be executed. This class must be contained in a JAR provided as a library The code must use SparkContext.getOrCreate to obtain a Spark context; otherwise, runs of the job fail

Example: com.databricks.ComputeModels

central_jar_file_pathsarray of stringPublic Preview

The full paths in central to the jar files that are added to the library during execution (e.g. /Volumes/creator/schema/volume/folder/my_jar_file.jar) Only returned for the owner collaborator.

environment_versionstringPublic Preview

The serverless environment version used to execute the JAR analysis (e.g. "4"). Defaults to "4-scala-preview" if not specified.

Response

Returns the CleanRoomAsset object.

Delete GA

DELETE /api/2.0/clean-rooms/{clean_room_name}/assets/{asset_type}/{name}

Delete a clean room asset - unshare/remove the asset from the clean room

API scopes: cleanrooms

Parameters

clean_room_namestringpath

Name of the clean room.

asset_typestringpath

The type of the asset.

Values: ASSET_TYPE_UNSPECIFIED, TABLE, NOTEBOOK_FILE, VOLUME, VIEW, FOREIGN_TABLE, JAR_ANALYSIS

namestringpath

The fully qualified name of the asset, it is same as the name field in CleanRoomAsset.